## libdumbnet 1.12

=== debian/changelog ===
libdumbnet (1.12-10) unstable; urgency=medium

  * QA upload
  * debian/:
    * Replace dpatch with quilt and convert to 3.0 (quilt) source format
    * Rewrite debian/rules as short-form dh with debhelper compat 13
  * debian/control:
    * Remove obsolete Pre-Depends
    * Bump Standards-Version to 4.6.0
  * debian/*.{postinst,postrm,preinst}: Removed, no longer needed

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Jan 2022 19:26:17 +0100

libdumbnet (1.12-9) unstable; urgency=medium

  * QA upload.
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:12:02 +0500

libdumbnet (1.12-8) unstable; urgency=medium

  * QA upload.
  * Correct the placement and the call to dh_prep.  (Closes: #908910)
  * Use dh_auto_{configure,build,install} as they know how to pass
    cross-building information to the upstream build system.
  * Set Rules-Requires-Root to "no".
  * Remove duplicated Build-Depends on autoconf.

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Sep 2018 07:24:55 +0000

libdumbnet (1.12-7) unstable; urgency=medium

  * QA upload.
  * Multiarchify the library package.
  * Build using dpkg-buildflags.
  * Bump the lintian and debhelper level.
  * Build using dh-python.
  * Enable parallel builds.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Feb 2016 12:24:58 +0100

libdumbnet (1.12-6) unstable; urgency=medium

  * QA upload.
  * Make people who test upgrades from testing to unstable
    happy (Closes: #775896).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 05 Feb 2015 19:06:08 +0100

libdumbnet (1.12-5) unstable; urgency=medium

  * QA upload.
  * Fix missing doc folder during upgrades
    (Closes: #775896)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 30 Jan 2015 22:53:35 +0100

libdumbnet (1.12-4) unstable; urgency=low

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Convert to dh_python2 (Closes: #616861).
  * debian/rules:
    - Pass --add-missing parameter to automake call (Closes: #713367).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 07 Jul 2013 14:20:17 +0200

libdumbnet (1.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files.

 -- Luk Claes <luk@debian.org>  Fri, 01 Jul 2011 19:43:39 +0200

libdumbnet (1.12-3) unstable; urgency=low

  * Restore lost libdumbnet.so symlink in the -dev package.
    Closes: #542972.
  * Provide dumbnet-config again, provide the old name 'dnet-config'
    as a symlink, and make it print the correct -l parameter (i.e.
    include it into the changed files of the 01rename_library patch).
    Closes: #543050.
  * Write a terse manpage for dumbnet-config.
  * Bump Standards Version to 3.8.3.
    * Add a README.source file.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 23 Aug 2009 00:09:20 +0200

libdumbnet (1.12-2) unstable; urgency=low

  * kfreebsd has <stropts.h>, too, so the ./configure check to decide
    between tun-solaris and tun-bsd is bogus. For the time being patch
    ./configure.in to drop that test and choose tun-bsd right away.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Wed, 29 Jul 2009 13:56:43 +0200

libdumbnet (1.12-1) unstable; urgency=low

  * New upstream version.
  * Update upstream location in all Debian files, but do not overwrite
    the upstream README - add a note to README.Debian instead.
  * Add a symbols file.
  * Bump Standards Version to 3.8.2.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 25 Jul 2009 13:51:29 +0200

libdumbnet (1.11-1) UNRELEASED; urgency=low

  * Adopt the package. Closes: #474128.
  * New upstream version.
  * Completely rework the packaging. Use dpatch for patch management.
  * Thoroughly revise debian/copyright.
  * Accomplish the Debian-specific library renaming by modifying the
    .am files and rerunning the whole auto-toolchain. This is the cleanest
    way to do this and produces the smallest distro diff.
    -> New dpatch (script): 01rename_library.sh
  * Activate the python module build (closes: #388541):
    * Configure --with-python.
    * Patch the .pyx code to avoid using the reserved keyword 'type' as a
      mundane identifier.
      -> New dpatch: 02python_type_is_reserved
    * Patch the python Makefile to build against all current python versions.
      -> New dpatch: 03build_all_python_versions
  * Use debhelper v7.
  * Standards Version is now 3.8.1.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 28 Mar 2009 01:51:45 +0100

libdumbnet (1.8-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Move {Source-Version} to {binary:Version}.
  * Change pwd to CURDIR in rules.
  * Add {shlibs:Depends} to dev package.
  * Add watch file.
  * Remove redundant section: libs from binary package.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 23 Jan 2009 18:00:52 -0500

libdumbnet (1.8-1.5) unstable; urgency=low

  * Porter NMU.
  * Added support for GNU/kFreeBSD, patch from the BTS (closes: bug#341598).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 20:38:30 +0100

libdumbnet (1.8-1.4) unstable; urgency=low

  * NMU
  * Fix a bug in addr_btos() (Closes: #364821)

 -- Julien Danjou <acid@debian.org>  Tue, 16 May 2006 13:56:32 +0200

libdumbnet (1.8-1.3) unstable; urgency=low

  * Fixed SONAME problem by fixing the -version-info number in
    src/Makefile.am (Closes: #289777)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Jan 2005 16:13:41 +0100

libdumbnet (1.8-1.2) unstable; urgency=low

  * Introduce AM_MAINTAINER_MODE in configure.in to avoid timestamp
    skew of the auto* files, also touch ac files in debian/rules configure
    just in case (Closes: #289794)
  * Check if symlinks exist before creating them (in config.status
    and distclean target in debian/rules)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Jan 2005 14:55:00 +0100


