=== debian/control ===
Source: libdumbnet
Section: libs
Priority: optional
Standards-Version: 4.6.0
Homepage: http://code.google.com/p/libdnet/
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 check,
 debhelper-compat (= 13),
Rules-Requires-Root: no

Package: libdumbnet1
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Multi-Arch: same
Description: dumb, portable networking library -- shared library
 libdumbnet provides a simplified, portable interface to several low-level
 networking routines, including
   * network address manipulation
   * kernel arp(4) cache and route(4) table lookup and manipulation
   * network firewalling (IP filter, ipfw, ipchains, pdf, ...)
   * network interface lookup and manipulation
   * raw IP packet and Ethernet frame transmission
 .
 libdumbnet is known as libdnet in other distributions, but was renamed
 in Debian in favour of the older DECnet library 'libdnet'.
 .
 This package contains the shared library.

Package: libdumbnet-dev
Section: libdevel
Depends:
 libdumbnet1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Description: dumb, portable networking library -- development files
 libdumbnet provides a simplified, portable interface to several low-level
 networking routines, including
   * network address manipulation
   * kernel arp(4) cache and route(4) table lookup and manipulation
   * network firewalling (Ip filter, ipfw, ipchains, pdf, ...)
   * network interface lookup and manipulation
   * raw IP packet and Ethernet frame transmission
 .
 libdumbnet is known as libdnet in other distributions, but was renamed
 in Debian in favour of the older DECnet library 'libdnet'.
 .
 This package contains the static library and the C header files.
