=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -f -i -Iconfig

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# Running test suite. Errors are being ignored because several tests
	# are bound to fail:
	# * check_addr: fails because glibc gethostbyname() accepts malformed
	#   IPs
	# * check_ip: fails because test includes binding to a RAW socket
	#   which requires CAP_NET_ADMIN
	# * check_fw: fails because Linux doesn't provide a simple userspace
	#   fw API (and libdumbnet therefore includes its fw-none module which
	#   just returns ENOSYS)
	-$(MAKE) -C test/check check-am
endif
