## libdumbnet 1.16.1

=== debian/changelog ===
libdumbnet (1.16.1-1) unstable; urgency=medium

  * [2f3fbc4] New upstream version 1.16
    * Removes local version of strl* and strsep (Closes: #749003)
  * [001cc11] New upstream version 1.16.1
  * [5b5c3e8] debian/copyright: update for new upstream release
  * [caa656b] debian/patches/: drop those now applied upstream
  * [b5d0df1] debian/patches/: refresh remaining files
  * [ba9c728] debian/libdumbnet1.symbols: update for new upstream
  * [22eaf3e] debian/patches/empty-line-in-manpages.patch: added fixing
    the manpages

 -- Florian Ernst <florian@debian.org>  Wed, 04 May 2022 21:17:06 +0200

libdumbnet (1.14-2) unstable; urgency=medium

  * [3204204] rely on pkg-config to detect "check" lib during build
  * [62641db] enable gitlab-ci on Salsa
  * [21da070] activate Salsa pipeline
  * [57d2f1b] debian/tests/: add simple autopkgtest test
  * [52fb455] default to verbose dh for better debuggability

 -- Florian Ernst <florian@debian.org>  Sat, 12 Mar 2022 15:22:34 +0100

libdumbnet (1.14-1) unstable; urgency=medium

  * [8738c08] New upstream version 1.14
    http://code.google.com/p/libdnet/ was migrated to
    https://github.com/dugsong/libdnet which in turn now redirects to
    https://github.com/ofalk/libdnet
  * [58c2ec8] debian/{control,copyright,watch}: update upstream homepage
  * [08a27ac] debian/README.Debian: drop now-obsolete note about upstream
    homepage
  * [e97d606] debian/patches/01rename_library.patch: update for new upstream
    release.
    For that debian/patches/01rename_library.sh.dpatch was salvaged from
    1.12-9, slightly adjusted for the new release and then used to generate
    the new patch.
  * [b95a8d9] refresh remaining patches, forward where needed, and supply
    DEP-3 headers
  * [20b2fa1] debian/patches/08typos.patch: added, fixing some common typos
  * [7c1d4aa] debian/copyright: redo machine-readable
  * [521907e] debian/copyright: also add BSD-4-clause License block
  * [b41e78e] debian/libdumbnet-dev.docs: follow upstream's README to
    README.md
  * [0f67980] debian/upstream/metadata: added
  * [411c9c5] debian/libdumbnet1.symbols: add Build-Depends-Package
  * [1204558] debian/changelog: trim trailing whitespace
  * [fc10881] debian/rules: enable all hardening options
  * [5efc1b2] debian/control: add Vcs-* pointing to salsa
  * [9f14f81] debian/control: new maintainer (Closes: #698982)

 -- Florian Ernst <florian@debian.org>  Sun, 27 Feb 2022 13:21:44 +0100
