=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: libs
 Priority: optional
 Standards-Version: 4.6.0
-Homepage: http://code.google.com/p/libdnet/
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Homepage: https://github.com/ofalk/libdnet
+Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:
  check,
  debhelper-compat (= 13),
+ pkg-config,
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/libdumbnet
+Vcs-Git: https://salsa.debian.org/debian/libdumbnet.git
 
 Package: libdumbnet1
 Depends:
