## libdumbnet 1.16.3

=== debian/changelog ===
libdumbnet (1.16.3-1) unstable; urgency=medium

  * [8e0a34e] New upstream version 1.16.3
  * [6cef3b8] debian/patches/: refresh where needed

 -- Florian Ernst <florian@debian.org>  Thu, 12 Jan 2023 17:38:28 +0100

libdumbnet (1.16.2-1) unstable; urgency=medium

  * [e197b3c] New upstream version 1.16.2
  * [751ed7a] debian/copyright: update years
  * [8eaba43] debian/patches/: refresh where needed
  * [086cf9b] debian/control: Standards-Version: 4.6.2 (no changes required)

 -- Florian Ernst <florian@debian.org>  Wed, 04 Jan 2023 10:59:27 +0100

libdumbnet (1.16.1-2) unstable; urgency=medium

  * [ddb03b4] fix FTBFS on GNU/Hurd by omitting some symbols.
    Thanks to Svante Signell (Closes: 1021260)
  * [a5b35a7] debian/control: Standards-Version: 4.6.1.0 (no changes required)

 -- Florian Ernst <florian@debian.org>  Tue, 04 Oct 2022 19:03:05 +0200
