=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libdumbnet
 Section: libs
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ofalk/libdnet
 Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:
