## libdumbnet 1.16.4

=== debian/changelog ===
libdumbnet (1.16.4-1) unstable; urgency=medium

  * [4893e69] New upstream version 1.16.4
  * [e81a2eb] refresh patches

 -- Florian Ernst <florian@debian.org>  Mon, 26 Jun 2023 18:45:44 +0200
