## libdumbnet 1.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,19 @@
 cmake_minimum_required(VERSION 3.14)
 
-project(libdnet VERSION 1.16.4 LANGUAGES C)
+project(dnet VERSION 1.17.0 LANGUAGES C)
 
 find_package(TCL)
 
 include(CheckFunctionExists)
 include(CheckIncludeFile)
+include(CheckIncludeFiles)
 include(CheckStructHasMember)
 include(CheckSymbolExists)
 include(CheckTypeSize)
 include(CheckCSourceCompiles)
-
-set(WINDOWS_EXPORT_ALL_SYMBOLS True)
+include(GNUInstallDirs)
+
+set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS True)
 option(BUILD_SHARED_LIBS "Build in shared lib mode" OFF)
 
 foreach (header stdio.h stdlib.h string.h inttypes.h)
@@ -39,10 +41,10 @@
     foreach (header strings.h
             unistd.h sys/bufmod.h sys/dlpi.h sys/dlpihdr.h sys/dlpi_ext.h
             sys/ioctl.h sys/mib.h sys/ndd_var.h sys/socket.h sys/sockio.h
-            sys/sysctl.h sys/time.h sys/stat.h net/bpf.h net/if.h net/if_var.h
-            net/if_arp.h net/if_dl.h net/pfilt.h
-            net/pfvar.h net/radix.h net/raw.h net/route.h netinet/in_var.h
-            net/if_tun.h linux/if_tun.h netinet/ip_fw.h linux/ip_fw.h
+            sys/time.h sys/stat.h net/if.h net/if_var.h
+            net/if_dl.h net/pfilt.h
+            net/radix.h net/raw.h net/route.h netinet/in_var.h
+            linux/if_tun.h netinet/ip_fw.h linux/ip_fw.h
             linux/ip_fwchains.h linux/netfilter_ipv4/ipchains_core.h
             ip_fil_compat.h netinet/ip_fil_compat.h ip_compat.h
             netinet/ip_compat.h ip_fil.h netinet/ip_fil.h
@@ -51,6 +53,12 @@
       string(REGEX REPLACE "\\.|/" "_" var ${var})
       check_include_file(${header} ${var})
     endforeach ()
+
+    check_include_files("sys/types.h;net/bpf.h" HAVE_NET_BPF_H)
+    check_include_files("sys/types.h;net/if_arp.h" HAVE_NET_IF_ARP_H)
+    check_include_files("sys/types.h;net/if_tun.h" HAVE_NET_IF_TUN_H)
+    check_include_files("sys/types.h;net/if.h;net/pfvar.h" HAVE_NET_PFVAR_H)
+    check_include_files("sys/types.h;sys/sysctl.h" HAVE_SYS_SYSCTL_H)
 endif()
 
 set(CMAKE_REQUIRED_LIBRARIES )
@@ -66,21 +74,18 @@
 
     CHECK_STRUCT_HAS_MEMBER("struct arpreq" arp_dev net/if_arp.h HAVE_ARPREQ_ARP_DEV LANGUAGE C)
     CHECK_STRUCT_HAS_MEMBER("struct sockaddr" sa_len sys/socket.h HAVE_SOCKADDR_SA_LEN LANGUAGE C)
-    check_symbol_exists(rt_msghdr net/route.h HAVE_ROUTE_RT_MSGHDR)
+    CHECK_STRUCT_HAS_MEMBER("struct rt_msghdr" rtm_msglen "sys/socket.h;net/if.h;net/route.h" HAVE_ROUTE_RT_MSGHDR LANGUAGE C)
 
     set(CMAKE_EXTRA_INCLUDE_FILES "netinet/in.h")
     check_type_size("struct sockaddr_in6" HAVE_SOCKADDR_IN6  LANGUAGE C)
     set(CMAKE_EXTRA_INCLUDE_FILES )
 
-    find_file(HAVE_BSD_BPFH
-        NAMES /dev/bpf0
-        DOC "Check for the Berkeley Packet Filter")
-
-
-    file(STRINGS /proc/sys/kernel/ostype PROCFS)
-    message(STATUS "${PROCFS}")
-    if (${PROCFS} STREQUAL "Linux")
-        set(HAVE_LINUX_PROCFS True)
+    if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+        file(STRINGS /proc/sys/kernel/ostype PROCFS)
+        message(STATUS "${PROCFS}")
+        if (${PROCFS} STREQUAL "Linux")
+            set(HAVE_LINUX_PROCFS True)
+        endif()
     endif()
 
     check_include_file(inet/mib2.h HAVE_STREAMS_MIB2)
@@ -103,15 +108,15 @@
     string(REGEX MATCH "freebsd5" FREEBSD5 ${CMAKE_SYSTEM_NAME_LOWER})
     string(REGEX MATCH "kfreebsd" KFREEBSD ${CMAKE_SYSTEM_NAME_LOWER})
 
-    if (${BSD} OR ${DARWIN} OR ${OSF} OR ${UNIXWARE})
+    if (BSD OR DARWIN OR OSF OR UNIXWARE)
         set(HAVE_RAWIP_HOST_OFFLEN True)
     endif()
 
-    if (${OPENBSD})
+    if (OPENBSD)
         set(HAVE_RAWIP_HOST_OFFLEN False)
     endif()
 
-    if (${SOLARIS} OR ${IRIX})
+    if (SOLARIS OR IRIX)
         set(HAVE_RAWIP_COOKED True)
     endif()
 
@@ -190,10 +195,10 @@
 #    list(APPEND PLATFORM_SOURCES src/eth-win32.c)
 elseif(HAVE_NET_PFILT_H)
     list(APPEND PLATFORM_SOURCES src/eth-pfilt.c)
-elseif(HAVE_BSD_BPF)
-    list(APPEND PLATFORM_SOURCES src/eth-bsd.c)
 elseif(HAVE_LINUX_PF_PACKET)
     list(APPEND PLATFORM_SOURCES src/eth-linux.c)
+elseif(HAVE_NET_BPF_H)
+    list(APPEND PLATFORM_SOURCES src/eth-bsd.c)
 elseif(HAVE_NET_RAW_H)
     list(APPEND PLATFORM_SOURCES src/eth-snoop.c)
 elseif(HAVE_SYS_NDD_VAR_H)
@@ -272,10 +277,103 @@
     list(APPEND PLATFORM_SOURCES src/tun-none.c)
 endif()
 
-add_library(${PROJECT_NAME} src/addr-util.c src/addr.c src/blob.c src/ip-util.c src/ip6.c src/rand.c ${PLATFORM_SOURCES})
-
-target_include_directories(${PROJECT_NAME} PUBLIC ${PROJECT_SOURCE_DIR}/include ${CMAKE_CURRENT_BINARY_DIR} )
+add_library(${PROJECT_NAME}
+    src/addr-util.c
+    src/addr.c
+    src/blob.c
+    src/err.c
+    src/ip-util.c
+    src/ip6.c
+    src/rand.c
+    ${PLATFORM_SOURCES})
+
+target_include_directories(${PROJECT_NAME} PUBLIC
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
+    $<INSTALL_INTERFACE:include>
+    $<INSTALL_INTERFACE:include/dnet>
+)
+
+set(DNET_HEADERS
+    include/dnet/addr.h
+    include/dnet/arp.h
+    include/dnet/blob.h
+    include/dnet/eth.h
+    include/dnet/fw.h
+    include/dnet/icmp.h
+    include/dnet/intf.h
+    include/dnet/ip.h
+    include/dnet/ip6.h
+    include/dnet/ndisc.h
+    include/dnet/os.h
+    include/dnet/rand.h
+    include/dnet/route.h
+    include/dnet/sctp.h
+    include/dnet/tcp.h
+    include/dnet/tun.h
+    include/dnet/udp.h
+)
+set(DNET_HEADERS1
+    include/dnet.h
+    include/err.h
+    include/queue.h
+    ${CMAKE_CURRENT_BINARY_DIR}/config.h
+)
+set_target_properties(
+    ${PROJECT_NAME}
+    PROPERTIES
+    PUBLIC_HEADER "${DNET_HEADERS}"
+)
 
 if (MSVC)
     target_link_libraries(${PROJECT_NAME} PUBLIC Iphlpapi ws2_32)
 endif()
+
+install(TARGETS ${PROJECT_NAME}
+    EXPORT ${PROJECT_NAME}Targets DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT runtime
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT devel
+    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}/${PROJECT_NAME} COMPONENT devel
+)
+
+
+install(FILES ${DNET_HEADERS1}
+        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}
+        COMPONENT devel)
+
+install(EXPORT ${PROJECT_NAME}Targets
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}/
+    FILE ${PROJECT_NAME}Targets.cmake
+    NAMESPACE ${PROJECT_NAME}::
+    COMPONENT devel
+)
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/${PROJECT_NAME}-config.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
+    @ONLY
+)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/${PROJECT_NAME}-config-version.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
+    @ONLY
+)
+install(
+    FILES
+        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
+        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}/
+    COMPONENT devel
+)
+
+if(UNIX)
+  if(NOT CPACK_GENERATOR)
+    set(CPACK_GENERATOR "DEB")
+  endif()
+
+  set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
+  set(CPACK_STRIP_FILES 1)
+  if(${CMAKE_VERSION} VERSION_GREATER "3.5")
+    set(CPACK_DEBIAN_FILE_NAME DEB-DEFAULT)
+  endif()
+endif()
+
+include(CPack)
