=== debian/changelog ===
libdumbnet (1.17.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:40 +1100

libdumbnet (1.17.0-1ubuntu1) noble; urgency=medium

  * d/libdumbnet1.symbols: set symbols strlcpy/strlcat as optional
    (LP: #2055693). These symbols were added to glibc 2.38 and the
    package is FTBFS due to lintian.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 29 Feb 2024 17:45:05 +0000

libdumbnet (1.17.0-1) unstable; urgency=medium

  * [f85ba27] New upstream version 1.17.0
  * [dce82d6] debian/patches/01rename_library.patch: refresh
  * [0e461a1] debian/libdumbnet1.symbols: updated

 -- Florian Ernst <florian@debian.org>  Tue, 17 Oct 2023 17:21:34 +0200
