=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Standards-Version: 4.6.2
 Homepage: https://github.com/ofalk/libdnet
-Maintainer: Florian Ernst <florian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:
  check,
  debhelper-compat (= 13),
