=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libdumbnet
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/ofalk/libdnet
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Florian Ernst <florian@debian.org>
+Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:
  check,
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libdumbnet
 Vcs-Git: https://salsa.debian.org/debian/libdumbnet.git
