## libdumbnet 1.18.2

=== debian/changelog ===
libdumbnet (1.18.2-1) unstable; urgency=medium

  * [a569023] New upstream version 1.18.2
  * [92227f8] d/patches/: refresh for new upstream release
  * [03fe5fb] d/copyright: update year
  * [5ccd1be] d/control: drop now-redundant fields, Standards-Version: 4.7.3

 -- Florian Ernst <florian@debian.org>  Sun, 08 Feb 2026 13:28:49 +0100
