=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: libdumbnet
 Section: libs
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ofalk/libdnet
 Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:
  check,
  debhelper-compat (= 13),
  pkgconf,
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libdumbnet
 Vcs-Git: https://salsa.debian.org/debian/libdumbnet.git
